Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SbBarrier Class Reference
[Portable thread-handling abstractions]

`#include <Inventor/threads/SbBarrier.h>`

List of all members.

## Detailed Description

The SbBarrier class implements the "barrier" multi-thread synchronization technique.

A barrier is a synchronization mechanism that is used for blocking threads as they enter the barrier until a given number of threads are blocked, at which point all the threads are released again.

## Public Member Functions
| SbBarrier (unsigned int count)
| ~SbBarrier (void)
int | enter (void)

## Constructor & Destructor Documentation

SbBarrier::SbBarrier | ( | unsigned int | count | ) | `[inline]`

| Constructor. The SbBarrier will be set for `count` number of threads.

SbBarrier::~SbBarrier | ( | void |  | ) | `[inline]`

| Destructor.

## Member Function Documentation

int SbBarrier::enter | ( | void |  | ) | `[inline]`

| This method blocks the calling thread on this barrier. It returns when the given number of threads have been blocked. 1 is returned if the caller was the last thread to enter the barrier, 0 otherwise.

The documentation for this class was generated from the following files:

- SbBarrier.h
- barrier.c